Summary:    Jabber Client written in PyGTK
Name:       gajim
Version:    0.16
Release:    %mkrel 0.beta1.2
Source:     http://www.gajim.org/downloads/0.15/gajim-%{version}-beta1.tar.gz
URL:        http://www.gajim.org
Group:      Networking/Instant messaging
License:    GPLv3
Requires:       pygtk2.0-libglade 
Requires:       python-sqlite2
Requires:       gnome-python-gconf
Requires:       gnome-python-extras
Requires:       dbus-python 
Requires:       python-OpenSSL
Requires:       python-nbxmpp
Requires:       pyasn1
Requires:       bind-utils
# for spellchecking
Suggests:       gnome-python-gtkspell
BuildRequires:  gnome-python-extras
BuildRequires:  gtkspell-devel 
BuildRequires:  gtk2-devel 
BuildRequires:  pygtk2.0-devel
BuildRequires:  libxscrnsaver-devel
BuildRequires:  libexpat-devel
BuildRequires:  imagemagick
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  dbus-devel

%description
Gajim is a jabber client written in PyGTK. The goal of Gajim's developers is
to provide a full featured and easy to use xmpp client for the GTK+
users. Gajim does not require GNOME to run, eventhough it exists with it
nicely. Gajim is released under the GNU General Public License

Features:
- Tabbed chat windows
- Groupchat support (with MUC protocol)
- Emoticons, URL grabber
- Systray icon
- TLS & GPG support
- Transport Registration support
- Service Discovery including Nodes
- Multiple accounts support

%prep
%setup -q -n %name-%version-beta1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

rm -f %{buildroot}%{_libdir}/%{name}/*.la


%find_lang %{name}
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%doc ChangeLog COPYING NEWS README THANKS THANKS.artists
%{_bindir}/gajim
%{_bindir}/gajim-remote
%{_bindir}/gajim-history-manager
%{_datadir}/applications/gajim.desktop
%{_datadir}/gajim
%doc %{_mandir}/man1/gajim.1*
%doc %{_mandir}/man1/gajim-remote.1*
%doc %{_mandir}/man1/gajim-history-manager.1*
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.16-0.beta1.2.mga4
+ Revision: 534217
- Mageia 4 Mass Rebuild

* Mon Sep 09 2013 neoclust <neoclust> 0.16-0.beta1.1.mga4
+ Revision: 476641
- New version 0.16 beta1

* Tue Aug 13 2013 ofaurax <ofaurax> 0.15.4-2.mga4
+ Revision: 466222
- Add patch to be able to launch gajim when farstream is not present

* Thu Aug 08 2013 ofaurax <ofaurax> 0.15.4-1.mga4
+ Revision: 464787
- New versioin 0.15.4

* Fri Apr 05 2013 luigiwalser <luigiwalser> 0.15.3-2.mga3
+ Revision: 408330
- require pyasn1 for SSL cert checking

* Tue Apr 02 2013 luigiwalser <luigiwalser> 0.15.3-1.mga3
+ Revision: 407343
- 0.15.3 (fixes CVE-2012-5524)

* Fri Jan 11 2013 umeabot <umeabot> 0.15.1-2.mga3
+ Revision: 351015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 neoclust <neoclust> 0.15.1-1.mga3
+ Revision: 301039
- New version

* Mon Jun 18 2012 kharec <kharec> 0.15-3.mga3
+ Revision: 261747
- Python-OpenSSL is a require.

* Mon Jun 18 2012 kharec <kharec> 0.15-2.mga3
+ Revision: 261743
- Add python-OpenSSL as BR

* Sat Jun 16 2012 kharec <kharec> 0.15-1.mga3
+ Revision: 260957
- new version 0.15
- adapt patch0 for 0.15
- fix docs installations

* Fri Apr 20 2012 luigiwalser <luigiwalser> 0.14.4-2.mga2
+ Revision: 232071
- fix CVE-2012-2085, CVE-2012-2086, CVE-2012-2093 (from debian)

* Mon Oct 24 2011 misc <misc> 0.14.4-1.mga2
+ Revision: 157628
- upgrade to 0.14.4
- place one requires/buildRequires per line, as this ease the
  review of patchs and change for this part of the spec
- remove requires on python, incorrectly set on version, and not needed

* Mon Jun 27 2011 kharec <kharec> 0.14.3-1.mga2
+ Revision: 114351
- new version

* Sun Jun 19 2011 kharec <kharec> 0.14.2-1.mga2
+ Revision: 109754
- new version
- drop p0, applied.

* Tue May 24 2011 ahmad <ahmad> 0.14.1-2.mga1
+ Revision: 100316
- Add a patch from upstream to check for errors before incoming or outgoing events
  should fix agjim looping at launch and consuming 100%% of the CPU (mga#1409)
  http://trac.gajim.org/ticket/5991

* Sun Jan 09 2011 kharec <kharec> 0.14.1-1.mga1
+ Revision: 2020
- imported package gajim


* Sat Nov 27 2010 Michael Scherer <misc@mandriva.org> 0.14.1-1mdv2011.0
+ Revision: 601761
- version 0.14.1

* Wed Sep 08 2010 Michael Scherer <misc@mandriva.org> 0.14-2mdv2011.0
+ Revision: 576790
- add a Suggest on spellchecker, asked by mikala

* Mon Sep 06 2010 Michael Scherer <misc@mandriva.org> 0.14-1mdv2011.0
+ Revision: 576265
- update to 0.14

* Mon Apr 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.13.4-1mdv2010.1
+ Revision: 533701
- update to 0.13.4

* Sat Feb 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.13.3-1mdv2010.1
+ Revision: 512439
- up to 0.13.3

* Thu Feb 04 2010 Michael Scherer <misc@mandriva.org> 0.13.2-1mdv2010.1
+ Revision: 500614
- new version

* Sun Jan 03 2010 Michael Scherer <misc@mandriva.org> 0.13.1-1mdv2010.1
+ Revision: 486010
- update to 0.13.1

* Fri Nov 27 2009 Michael Scherer <misc@mandriva.org> 0.13-1mdv2010.1
+ Revision: 470705
- upgrade to 0.13
- remove patch applied upstream
- fix license

* Thu Sep 17 2009 Michael Scherer <misc@mandriva.org> 0.12.5-1mdv2010.0
+ Revision: 443920
- new version 0.12.5

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 0.12.3-1mdv2010.0
+ Revision: 399119
- update to new version 0.12.3

  + Michael Scherer <misc@mandriva.org>
    - new version

* Wed Apr 15 2009 Michael Scherer <misc@mandriva.org> 0.12.1-2mdv2009.1
+ Revision: 367266
- fix kde4 notification, patch adapted from upstream

* Sun Dec 21 2008 Götz Waschk <waschk@mandriva.org> 0.12.1-1mdv2009.1
+ Revision: 317119
- update to new version 0.12.1

* Wed Dec 17 2008 Michael Scherer <misc@mandriva.org> 0.12-1mdv2009.1
+ Revision: 315379
- update to new version 0.12

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.11.4-1mdv2009.0
+ Revision: 140733
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Götz Waschk <waschk@mandriva.org> 0.11.4-1mdv2008.1
+ Revision: 116206
- new version

* Sat Nov 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.11.3-1mdv2008.1
+ Revision: 109629
- New release 0.11.3

* Sun Sep 23 2007 Michael Scherer <misc@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 92338
- update to final version

* Mon Sep 10 2007 Michael Scherer <misc@mandriva.org> 0.11.2-0.pre1mdv2008.0
+ Revision: 83997
-upgrade to latest 0.11.2 prerelease, bugfixs only release


* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.11.1-2mdv2007.0
+ Revision: 122646
- build system honoury bump

  + Michael Scherer <misc@mandriva.org>
    - upgrade to 0.11.1

* Tue Dec 19 2006 Michael Scherer <misc@mandriva.org> 0.11-1mdv2007.1
+ Revision: 100205
- add expat-devel to work around a strange building problem
- fix BuildRequires

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - fix build and installation

* Tue Dec 12 2006 Michael Scherer <misc@mandriva.org> 0.10.1-5mdv2007.1
+ Revision: 95696
- rebuild for new python
- Requires bind-utils, for SRV record support ( used among other by google talk )
- Import gajim

* Wed Jun 21 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10.1-4mdv2007.0
- Use X-MandrivaLinux-* category

* Wed Jun 14 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-3mdv2007.0
- fix menu entry
- fix buildrequires

* Wed Jun 07 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-2mdv2007.0
- fix buildrequires

* Tue Jun 06 2006 Jerome Soyer <saispo@mandriva.org> 0.10.1-1mdv2007.0
- New release 0.10.1

* Tue May 09 2006 Gtz Waschk <waschk@mandriva.org> 0.10-2mdk
- update deps

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 0.10-1mdk
- New release 0.10

* Thu Jan 26 2006 Gtz Waschk <waschk@mandriva.org> 0.9.1-3mdk
- fix deps

* Thu Dec 29 2005 Michael Scherer <misc@mandriva.org> 0.9.1-2mdk
- fix x86_64 build

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Mon Dec 26 2005 Michael Scherer <misc@mandriva.org> 0.9-3mdk
- fix Requires

* Sat Dec 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9-2mdk
- Add BuildRequires: intltool

* Sat Dec 24 2005 Michael Scherer <misc@mandriva.org> 0.9-1mdk
- New release 0.9

* Wed Sep 07 2005 Michael Scherer <misc@mandriva.org> 0.8.2-1mdk
- New release 0.8.2
- remove patch, applied upstream

* Wed Sep 07 2005 Michael Scherer <misc@mandriva.org> 0.8.1-1mdk
- New release 0.8.1
- fix #18273 ( thanks michael reinsh )

* Thu Aug 25 2005 Michael Scherer <misc@mandriva.org> 0.8-2mdk
- add a menu ( thanks michael reinsh )
- fix #17898
- fix error in requires

* Wed Aug 24 2005 Michael Scherer <misc@mandriva.org> 0.8-1mdk
- from Matthieu Milan <matthieu.milan@gmail.com>
  - new package

